Description

Supportanfrage

Wenn der Entwickler eines Filters sich dafür entschieden hat einen Filter als Time-Triggered zu implementieren, z.B:

ADTF_TRIGGER_FUNCTION_FILTER_PLUGIN(...,timer_trigger(2000000))

Wie kann man dann im CE diesen Filter auf Data-Triggered umstellen?

Lösung

Die Anforderung ist bisher, dass ein Filter entweder als Data-Triggered oder Time-Triggered oder beides definiert ist.

Ein Umdefinieren ist nicht möglich.

Dazu gibt es folgende Beispiele:

Simple Data Triggered Filter -> <ADTF_DIR>\src\examples\src\adtf\filters\standard_filters\data_triggered_filter\

Simple Time Triggered Filter -> <ADTF_DIR>\src\examples\src\adtf\filters\standard_filters\time_triggered_filter\

Kombination -> entsteht in

Im cDemoSynchronizerFilter in der cDemoSynchronizerFilter::RequestPin siehst du wie man so einen Trigger selber

anlegen kann

<ADTF_DIR>\src\examples\src\adtf\filters\standard_filters\synchronizer_filter\

In Zukunft soll es aber eine Visualisierung dafür geben (ACORE-8374) und die Möglich, den internen Trigger selbst zu ziehen im CE.

Nur wie gesagt derzeit entscheidet das Filter (bzw. Trigger Function) Entwickler und muss das default Verhalten beschreiben.

History

#1 - 2018-02-28 13:47 - hidden

- Status changed from New to In Progress

- Topic set to ADTF::CE

#2 - 2018-02-28 14:44 - hidden

- Status changed from In Progress to Customer Feedback Required

- Resolution set to Solved Issue

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-8374; https://www.cip.audi.de/jira/browse/ACORE-9395

Hallo Marc,

die Anforderung ist bisher, dass ein Filter entweder als Data-Triggered oder Time-Triggered oder beides definiert ist.

Ein Umdefinieren ist nicht möglich.

Dazu gibt es folgende Beispiele:

Simple Data Triggered Filter -> <ADTF_DIR>\src\examples\src\adtf\filters\standard_filters\data_triggered_filter\
Simple Time Triggered Filter -> <ADTF_DIR>\src\examples\src\adtf\filters\standard_filters\time_triggered_filter\

Kombination -> entsteht in

Im cDemoSynchronizerFilter in der cDemoSynchronizerFilter::RequestPin siehst du wie man so einen Trigger selber anlegen kann

<ADTF_DIR>\src\examples\src\adtf\filters\standard_filters\synchronizer_filter\

In Zukunft soll es aber eine Visualisierung dafür geben (ACORE-8374) und die Möglich, den internen Trigger selbst zu ziehen im CE.

Nur wie gesagt derzeit entscheidet das Filter (bzw. Trigger Function) Entwickler und muss das default Verhalten beschreiben.

Beantwortet das deine Frage ?

#3 - 2018-02-28 17:15 - hidden

Ok. Danke.

Ich habe mittlerweile auch festgestellt, dass wenn man ein DataTrigger-Filter mit einem expliziten Runner versieht, dann bleibt die interne

Data-Trigger-Pipe bestehen, so dass die Funktion dann doppelt getriggert wird. Aber das fällt ja auch in das Anzeigen und Ändern der internen

Trigger.

BTW:

Mein Cip-Account "marc-bartholomaeus" hat anscheinend keine Berechtigungen für das ACORE-Projekt. Kann ich die Rechte dafür bekommen oder

sind diese Tickets nur für Intern gedacht?

Ticket kann dann geschlossen werden.

#4 - 2018-02-28 17:50 - hidden

- Project changed from 20 to Public Support

- Subject changed from CE: Change Filter to Data-Triggered to How to change a time triggered filter to a data triggered filter ?

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

Mein Cip-Account "marc-bartholomaeus" hat anscheinend keine Berechtigungen für das ACORE-Projekt. Kann ich die Rechte dafür bekommen

oder sind diese Tickets nur für Intern gedacht?

 Grundsätzlich geben wir Tickets lediglich an, um die Traceability zu haben und der Anwender anhand des ChangeLogs seine Tickets verfolgen

könnte.

Um Zugriff auf das ACORE Projekt zu bekommen, musst du einen CIPTASK erstellen, in dem die Rechte erweitert werden soll, der zuständige

Produktverantwortliche wird das dann entsprechend bewerten. Ich denke gegen Viewer Rechte ist nichts einzuwenden, damit siehst du die Ticket

Inhalte und Planung, aber der Source Code ist geschützt.

Support Ticket wird geschlossen und public gestellt, da ggf. für weitere Kunden relevant und keine sensiblen Daten vorhanden sind.

#5 - 2018-03-05 16:53 - hidden

Marc Bartholomäus wrote:

Ich habe mittlerweile auch festgestellt, dass wenn man ein DataTrigger-Filter mit einem expliziten Runner versieht, dann bleibt die interne

Data-Trigger-Pipe bestehen, so dass die Funktion dann doppelt getriggert wird.

 Als Anmerkung dazu:

Um im CE einem DataTriggered-Filter in einen explizit getriggerten Umzustellen muss man die Verbindung vom SampleStream zum Eingangspin auf

"asynchron" umschalten und natürlich den Runnereingang anschließen.

#6 - 2018-03-15 14:38 - hidden

- Status changed from To Be Closed to Closed
